0

FT10 looking for Java 6 on OSX

I'm on an iMac running Lion 10.7.5  I just installed FT 10.0.3  When I launch it, Software Updater tells me "To open FastTrack Schedule 10, you need a Java SE 6 runtime.  Would you like to install one now?"

My best guess right now is, something in FT is hard-coded to look for Java in /System/Library/Frameworks/JavaVM.framework or /System/Library/Java, which is where the Apple Java 6 would be if it was installed.  However, Java 6 is deprecated and it's time to be using Java 7 from Oracle.  Unfortunately, Oracle does something else with their installer.  /Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin is where the actual java binary lives, and I haven't been able to isolate any other components that I KNOW are from Oracle's Java 7 as of yet.

What is the best way to proceed WITHOUT installing the Apple Java 6 JRE, which is old, bad, insecure, abandoned, won't be updated again, etc? 

10 comments

Please sign in to leave a comment.